LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 06-08-2006, 03:05 AM   #1
kunalagon
LQ Newbie
 
Registered: Jun 2006
Posts: 13

Rep: Reputation: 0
gtk+-2.8.18 build error


I installed dependeces for gtk+-2.8.18 in some folder in home dor, and put .pc files in pkgconfig dir, but when I try to compile, I get these errors:

ib-2.0/include -I/home/sorg/gtk-2.8.18-install/include/pango-1.0 -I/home/sorg/gtk-2.8.18-install/include/atk-1.0 -I/usr/X11R6/include -g -O2 -Wall -MT queryimmodules.o -MD -MP -MF ".deps/queryimmodules.Tpo" \
-c -o queryimmodules.o `test -f 'queryimmodules.c' || echo './'`queryimmodules.c; \
then mv -f ".deps/queryimmodules.Tpo" ".deps/queryimmodules.Po"; \
else rm -f ".deps/queryimmodules.Tpo"; exit 1; \
fi
queryimmodules.c: In function `query_module':
queryimmodules.c:116: warning: dereferencing type-punned pointer will break strict-aliasing rules
queryimmodules.c:117: warning: dereferencing type-punned pointer will break strict-aliasing rules
queryimmodules.c:118: warning: dereferencing type-punned pointer will break strict-aliasing rules
queryimmodules.c:119: warning: dereferencing type-punned pointer will break strict-aliasing rules
/bin/sh ../libtool --mode=link gcc -g -O2 -Wall -o gtk-query-immodules-2.0 queryimmodules.o libgtk-x11-2.0.la ../gdk-pixbuf/libgdk_pixbuf-2.0.la ../gdk/libgdk-x11-2.0.la
gcc -g -O2 -Wall -o .libs/gtk-query-immodules-2.0 queryimmodules.o ./.libs/libgtk-x11-2.0.so -L/home/sorg/gtk-2.8.18-install/lib /home/sorg/gtk-2.8.18+dep/gtk-2.8.18/gdk/.libs/libgdk-x11-2.0.so -L/usr/X11R6/lib -L/usr/local/lib /home/sorg/gtk-2.8.18-install/lib/libatk-1.0.so ../gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so ../gdk/.libs/libgdk-x11-2.0.so -lXrandr -lXinerama -lXext /home/sorg/gtk-2.8.18-install/lib/libpangocairo-1.0.so /home/sorg/gtk-2.8.18-install/lib/libcairo.so /home/sorg/gtk-2.8.18-install/lib/libpangoft2-1.0.so /home/sorg/gtk-2.8.18-install/lib/libpango-1.0.so /usr/local/lib/libcairo.so -lpng12 /usr/lib/libfreetype.so -lz /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so /usr/lib/libglib-2.0.so -lfontconfig /usr/lib/libXcursor.so /usr/lib/libXrender.so -lX11 /home/sorg/gtk-2.8.18+dep/gtk-2.8.18/gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so /home/sorg/gtk-2.8.18-install/lib/libgmodule-2.0.so -ldl /home/sorg/gtk-2.8.18-install/lib/libgobject-2.0.so /home/sorg/gtk-2.8.18-install/lib/libglib-2.0.so -lm -Wl,--rpath -Wl,/home/sorg/gtk-2.8.18-install/lib -Wl,--rpath -Wl,/usr/local/lib
./.libs/libgtk-x11-2.0.so: undefined reference to `g_file_set_contents'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_utf8_collate_key_for_filename'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_get_host_name'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_object_compat_control'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_mapped_file_free'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_mapped_file_new'
./.libs/libgtk-x11-2.0.so: undefined reference to `g_mapped_file_get_contents'
collect2: ld returned 1 exit status
make[4]: *** [gtk-query-immodules-2.0] Error 1
make[4]: Leaving directory `/home/sorg/gtk-2.8.18+dep/gtk-2.8.18/gtk'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/sorg/gtk-2.8.18+dep/gtk-2.8.18/gtk'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/sorg/gtk-2.8.18+dep/gtk-2.8.18/gtk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/sorg/gtk-2.8.18+dep/gtk-2.8.18'
make: *** [all] Error 2
sorg@euforia:~/gtk-2.8.18+dep/gtk-2.8.18$
 
Old 07-10-2006, 07:37 PM   #2
WrecklessSandwich
LQ Newbie
 
Registered: Jan 2006
Distribution: Kubuntu
Posts: 17

Rep: Reputation: 0
I'm getting the same error with 2.8.20/Mandriva 2006, no luck on a fix so far. My only undefined reference though is "./.libs/libgtk-x11-2.0.so: undefined reference to `g_object_compat_control'", one mailing list said to try a make distclean and start over (no luck with that, not sure if I had more undefined references before).

Last edited by WrecklessSandwich; 07-10-2006 at 07:39 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Build error in gtk+-2.8.11 at Xinerama.so.1 ahelis Linux - Software 5 02-04-2006 12:52 PM
GTK+ build, undefined reference error? headrift Linux - Software 2 09-15-2005 04:00 PM
compiling gaim/ gtk error (two versions of gtk) webazoid Linux - Software 0 07-06-2004 06:05 PM
GTK (Get That Killah) 2.4 Build Probs handle2001 Linux - Software 5 04-01-2004 12:08 AM
Installing gtk-gnutella 0.92.1 - Build Error quintar_51 Mandriva 2 10-24-2003 08:42 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 09:17 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration